

;;(defun rint(vout1 rx1 vout2 rx2)(/ (* rx1 rx2 (- vout1 vout2))(- (* rx1 vout2) (* rx2 vout1))))
;; I measure rint=0.1R => DF = 80

;.options plotwinsize=0 numdgt=7.

.params Rinf = 1e10

;; power supply
.params Vp=44 Vm=Vp

VA VA 0 {A}

; M1 attenuation (harmonic cancellation)
; A = (RAP*AX+RA)/(RAP+RA)
.params RA=max(1m,RAtot-RAP) AX= (A-1)*RA/RAP+A  R11b=1m
;.params RAtot=500 RAP=100 
.params RAtot=530 RAP=100 

.params Cx=220uF
.params Cpwr=4*7.5mF ; used in SIT3X-startup.spc

; TL431 bias circuit
.params Rc3=7.5k Rc1=100k Rc2=4.75k RPJ1bias=5K XpJ1bias=.154 ; P4 provides V(S) range from -10v to +15V  1st build

.measure PXPC param XPJ1bias
.measure MJ1bias avg v(J1bias)

;; Opto bias circuit
.params RbJ1=10k RbM1=10k

.params RsenV2=0R39/4 Ropto1=100 Ropto3=33k  

.params Ropto2=47k RPM1bias=20k XPM1bias=.5 ;(RCS-Ropto2)/RPM1bias ; PC817B 1.38A-2.1A
;.params Ropto2=75k RPM1bias=20k XPM1bias=.5 ;(RCS-Ropto2)/RPM1bias ; PC817D 1.5A-1.83A
;.params Ropto2=36k RPM1bias=20k XPM1bias=.363 ;=(RCS-Ropto2)/RPM1bias
;.params Ropto2=22k RPM1bias=20k XPM1bias=.5 ;(RCS-Ropto2)/RPM1bias ; PC817B 1.0A-2.23A

.params Ibias=1.8A Rcs=56.53k A=.875 J1bias=52+Ibias*RsenV2 ; very good VdsJ1=35V Ibias=1.8A
;; H2 null
;.params Ibias=1.8A Rcs=56.53k A=.893 J1bias=52+Ibias*RsenV2 ; very good VdsJ1=35V Ibias=1.8A
;; equal AC currents
;.params Ibias=1.8A Rcs=56.53k A=.903 J1bias=52+Ibias*RsenV2 ; very good VdsJ1=35V Ibias=1.8A

.params RgM1=47R RP6=5k XP6=A*RgM1/((1-A)*RP6)
.measure MXP6 param {XP6}


;; These measurements are only valid with  .tran 0 .7ms .3ms 3us
.measure M_OSOut_PP pp V(Out)
.measure M_OSOut_avg avg V(Out)
.measure M_OSIn_PP pp V(FEOut)
.measure M_OSIn_avg avg V(FEOut)
.measure M_OS_gain param M_OSOut_PP/M_OSIn_PP
.measure MVoutrms rms V(Out)
.measure MWattsOut param MVoutrms*MVoutrms/Rload
.measure Mmu avg min(20,max(2,d(V(OS:s))/d(v(OS:g1,OS:s))))
.measure MgmM1e avg min(10,max(0,d(Is(OS:M1))/d(V(OS:S,OS:G1))))
.measure MgmJ1 avg min(2,max(.2,d(Ix(OS:J1:D))/d(V(OS:g1,OS:S))))
.measure MRL avg min(20,max(-20,d(V(OS:S))/d(Ix(OS:J1:D))))
.measure MPPR avg Ix(OS:J1:D)/Is(OS:M1)
.measure MIJ1 avg Ix(OS:J1:D)
.measure MVbiasoff avg V(OS:J1bias,OS:M1bias)
.measure MVgsoff avg V(OS:G1,OS:G2)
.measure MVG1 avg V(OS:G1)

.params OSGain = 0.89

;; do not want Cb any larger than 470uF, otherwise the FET startup currents get very large (> 3A).
.params Cb=220uF ; 3.3mf ;1mf ;2.2mf ;220uf ;2.7mF ;220uF ; 10uF

.params Cout = 2*6.8mF

; ugly hack to allow Out- in place of Out in schematic  
Vout Out- Out 0
